Browser Requirements

Gives basic information on web-browser compatibility with Wikidot

This document describes what is needed to use WikiDot sites. General requirements are presented and particular browser support.

Short answer

If you want a short answer "What browser should I use?" our answer is: Use Mozilla Firefox.


There are numerous reasons to use Firefox for web browsing. At Firefox is our reference browser and so far the best browser to navigate and interact with sites.

Browser support table

Browser Name and Version Compatibility Ranking Comments
Mozilla Firefox
Firefox 3.0 9 Works great!
Firefox 2.0 9 Works very good, a minor problem with newlines in the editor, spellchecker a big plus!
Firefox 1.5 9 Used to be our reference browser
Google Chrome
Google Chrome 5.0 9 Works great!
Google Chrome 4.0 9 Works great!
Apple Safari
Safari 4.0 9 Almost perfect
Safari 3.0 9 Almost perfect
Opera 10.0 8 Almost perfect
Opera 9.0 8 Almost perfect
Internet Explorer
Internet Explorer 8.0 8 Works great!
Internet Explorer 7.0 8 Works very nice
Internet Explorer 6.0 8 Although works fine, not recommended
Other alternatives
Konqueror 8 Works very well but minor glitches
Flock 1.0 9 Works very nice


  • Rank is in scale 0-10 where 0 means totally broken and 10 means perfect.
  • If a browser version is not mentioned, it has not been tested. We recommend upgrading to the latest version of your browser.

At this point one thing must be clarified: the Wikdot engine uses a lot of client-side processing, i.e. runs a lot of JavaScript code and modifies page HTML content in your browser. This is the reason for some browsers not to work correctly. During the further development we will try to improve browser support for sure.

We certainly do not recommend using Internet Explorer 6.0 - although Wikidot sites should work fine with this browser, this has been achieved by using many tricks and workarounds but also a lot of sacrifices of clean solutions introduced by new standards which are not supported only by this browser.

As clearly stated above, we highly recommend Mozilla Firefox which is free, very secure, extensible etc.

Features that must be enabled


For browsing and interacting with Sites a browser must have JavaScript enabled. If not enabled you can still read pages and navigate between pages, but not much more.


Cookies are not required for browsing pages but are required for any advanced interaction such as modifying pages, posting posts on forum etc. Cookies are also use for identifying user sessions.

Unless otherwise stated, the content of this page is licensed under Creative Commons Attribution-ShareAlike 3.0 License